.\"	$NetBSD: ataraid.4,v 1.13 2008/09/15 11:44:50 tron Exp $
.\"
.\" Copyright (c) 2005 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Allen K. Briggs.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 16, 2008
.Dt ATARAID 4
.Os
.Sh NAME
.Nm ataraid
.Nd software BIOS RAID
.Sh SYNOPSIS
.Cd "pseudo-device ataraid"
.Cd "ld* at ataraid? vendtype ? unit ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for BIOS-based software RAID controllers.
These are devices which have some simple support for several basic
RAID levels (often RAID 0 and RAID 1), but which require software
support to actually perform the RAID function.
The BIOS support is largely just to create and recognize the array
so that it may be a boot device.
.Pp
The driver currently supports RAID formats from:
.Bl -bullet -offset indent -compact
.It
Adaptec HostRAID (found in Intel 6300ESB)
.It
Intel MatrixRAID
.It
JMicron RAID
.It
nVidia MediaShield
.It
Promise FastTrak
.It
Via V-RAID (found in many VIA-based motherboards)
.El
.Pp
Status of the logical disk as well as the disks associated with it,
can be viewed through the
.Xr bioctl 8
utility.
.Sh SEE ALSO
.Xr ld 4 ,
.Xr bioctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 2.0 .
.Sh AUTHORS
The
.Nm
driver was originally adapted from
.Fx
by
.An Jason Thorpe
.Aq thorpej@NetBSD.org .
.Sh BUGS
Not all features of the software RAID are currently recognized or
supported.
For example, the Adaptec support doesn't recognize when a RAID 1
should be in a
.Dq building
state, and it does not do the right thing.
.Pp
At least part of the reason for this is that the publically-available
information on these formats is quite limited.
